import { FormItem, FormConfig } from '@/components/form-render/form-render-types'

export const config: FormConfig = {
	layout: 'horizontal',
	colon: true,
	hideRequiredMark: false,
	labelAlign: 'right',
	scrollToFirstError: false,
	validateOnRuleChange: true,
	labelCol: {
		span: 4,
		offset: 0,
	},
}

export const formItems: FormItem[] = [
	{
		group: 'form',
		type: 'input',
		config: {
			autoLink: true,
			hasFeedback: false,
			label: '设备编号',
			name: 'key',
			required: true,
		},
		properties: {
			size: 'default',
			type: 'text',
			allowClear: false,
			bordered: true,
			showCount: false,
			placeholder: '请输入设备编号',
		},
		rules: [],
	},
	{
		group: 'form',
		type: 'input',
		config: {
			autoLink: true,
			hasFeedback: false,
			label: '设备名称',
			name: 'name',
		},
		properties: {
			size: 'default',
			type: 'text',
			allowClear: false,
			bordered: true,
			showCount: false,
			placeholder: '请输入设备名称',
		},
		rules: [],
	},
	{
		type: 'input-number',
		group: 'form',
		config: {
			autoLink: true,
			hasFeedback: false,
			label: '设备通道数',
			name: 'channels',
			required: true,
		},
		properties: {
			size: 'default',
			controls: true,
			placeholder: '请填写设备通道数',
		},
		rules: [],
	},
]
