import { FormItem, FormConfig } from '@/components/form-render/form-render-types'

export const config: FormConfig = {
	layout: 'horizontal',
	colon: true,
	hideRequiredMark: false,
	labelAlign: 'right',
	scrollToFirstError: false,
	validateOnRuleChange: true,
	labelCol: {
		span: 4,
		offset: 0,
	},
}

export const formItems: FormItem[] = [
	{
		type: 'divider',
		group: 'auxiliary',
		properties: {
			showText: true,
			type: 'horizontal',
			orientation: 'left',
			text: '工位信息',
		},
	},
	{
		group: 'form',
		type: 'input',
		config: {
			autoLink: true,
			hasFeedback: false,
			label: '工位名称',
			name: 'name',
			required: true,
		},
		properties: {
			size: 'default',
			type: 'text',
			allowClear: true,
			bordered: true,
			showCount: true,
			placeholder: '请输入工位名称',
		},
		rules: [],
	},
	{
		type: 'divider',
		group: 'auxiliary',
		properties: {
			showText: true,
			type: 'horizontal',
			orientation: 'left',
			text: '工位参数',
		},
	},
	{
		type: 'input-number',
		group: 'form',
		config: {
			autoLink: true,
			hasFeedback: false,
			label: '待机电流',
			name: 'standby',
			required: true,
		},
		properties: {
			size: 'default',
			controls: true,
			placeholder: '请输入待机电流',
			precision: 2,
			step: 0.01,
			addonAfter: 'A',
			decimalSeparator: '',
		},
		rules: [],
	},
	{
		type: 'input-number',
		group: 'form',
		config: {
			autoLink: true,
			hasFeedback: false,
			label: '工作电流',
			name: 'working',
			required: true,
		},
		properties: {
			size: 'default',
			controls: true,
			placeholder: '请输入工作电流',
			precision: 2,
			step: 0.01,
			addonAfter: 'A',
		},
		rules: [],
	},
	{
		type: 'input-number',
		group: 'form',
		config: {
			autoLink: true,
			hasFeedback: false,
			label: '工作间歇',
			name: 'maxGap',
			required: true,
		},
		properties: {
			size: 'default',
			controls: true,
			placeholder: '请输入最大工作间隙时长',
			min: 15,
			step: 1,
			prefix: '',
			addonAfter: '秒',
		},
		rules: [],
	},
]
