import { FormItem, FormConfig } from '@/components/form-render/form-render-types'

export const config: FormConfig = {
	layout: 'horizontal',
	colon: true,
	hideRequiredMark: false,
	labelAlign: 'right',
	scrollToFirstError: false,
	validateOnRuleChange: true,
	labelCol: {
		span: 4,
		offset: 0,
	},
}

export const formItems: FormItem[] = [
	{
		group: 'form',
		type: 'input',
		config: {
			autoLink: true,
			hasFeedback: false,
			label: '班组名称',
			name: 'name',
			required: true,
		},
		properties: {
			size: 'default',
			type: 'text',
			allowClear: false,
			bordered: true,
			showCount: false,
			placeholder: '请填写班组名称',
		},
		rules: [],
	},
	{
		type: 'time-picker',
		group: 'form',
		config: {
			autoLink: true,
			hasFeedback: false,
			label: '开始时间',
			name: 'start',
			required: true,
			help: '',
		},
		properties: {
			size: 'default',
			valueFormat: 'HH:mm:ss',
		},
		rules: [],
	},
	{
		type: 'time-picker',
		group: 'form',
		config: {
			autoLink: true,
			hasFeedback: false,
			label: '结束时间',
			name: 'end',
			required: true,
		},
		properties: {
			size: 'default',
			valueFormat: 'HH:mm:ss',
		},
		rules: [],
	},
]
